Static Public Member Functions | List of all members
clan::FileResourceManager Class Reference
clanCore Resources

Resource manager loading from FileResourceDocument. More...

`#include <file_resource_manager.h>`

## Static Public Member Functions
static void | add_cache_factory (std::function< void(ResourceManager &, const FileResourceDocument &)> factory_callback)
| Adds a cache factory callback. More...
static ResourceManager | create (const FileResourceDocument &doc=FileResourceDocument())
| Creates a resource manager. More...
static FileResourceDocument & | get_doc (const ResourceManager &manager)
| Gets the XML resource document used by a resource manager. More...

## Detailed Description

Resource manager loading from FileResourceDocument.

The documentation for this class was generated from the following file:

- file_resource_manager.h